Skip to main content
POST
/
v1
/
apis
/
{slug}
Update listing
curl --request POST \
  --url https://gateway.apiosk.com/v1/apis/{slug} \
  --header 'Content-Type: application/json' \
  --header 'x-wallet-address: <api-key>' \
  --header 'x-wallet-nonce: <api-key>' \
  --header 'x-wallet-signature: <api-key>' \
  --header 'x-wallet-timestamp: <api-key>' \
  --data '
{
  "owner_wallet": "<string>"
}
'
{
  "success": true,
  "message": "<string>"
}

Authorizations

x-wallet-address
string
header
required

Wallet address used for signed management calls.

x-wallet-signature
string
header
required

Signature over the canonical Apiosk auth message.

x-wallet-timestamp
string
header
required

Unix timestamp used in the signed auth message.

x-wallet-nonce
string
header
required

Replay-protected nonce used in the signed auth message.

Path Parameters

slug
string
required

Gateway API slug.

Body

application/json
owner_wallet
string
required
endpoint_url
string<uri> | null
price_usd
number | null
Required range: 0.0001 <= x <= 10
description
string | null
active
boolean | null
listing_metadata
object

Response

Update result.

success
boolean
message
string